package com.brilliance.isc.vo.model;

import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.vo.collection.DocgrdmVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BotpVo extends AbstractCommonVo {

    //Panel Status  E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    private Usr usr;

    private DocgrdmVo docgrdm;

    @Override
    public void reset() {
        super.reset();
        if (docgrdm == null) {
            docgrdm = new DocgrdmVo();
        }
        docgrdm.reset();
        if (usr == null) {
            usr = new Usr();
        }
    }
}

